Mailinglist Archive: opensuse-commit (875 mails)
| < Previous | Next > |
commit sendmail
- From: root@xxxxxxxxxxxxxxx (h_root)
- Date: Wed, 16 Jul 2008 23:03:38 +0200
- Message-id: <20080716210339.01EF8678182@xxxxxxxxxxxxxxx>
Hello community,
here is the log from the commit of package sendmail
checked in at Wed Jul 16 23:03:38 CEST 2008.
--------
--- sendmail/sendmail.changes 2008-06-19 13:47:09.000000000 +0200
+++ sendmail/sendmail.changes 2008-07-16 14:11:13.573458000 +0200
@@ -1,0 +2,5 @@
+Wed Jul 16 14:10:54 CEST 2008 - werner@xxxxxxx
+
+- Make poll25 more fail safe
+
+-------------------------------------------------------------------
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Other differences:
------------------
++++++ sendmail.spec ++++++
--- /var/tmp/diff_new_pack.d10886/_old 2008-07-16 23:02:37.000000000 +0200
+++ /var/tmp/diff_new_pack.d10886/_new 2008-07-16 23:02:37.000000000 +0200
@@ -31,7 +31,7 @@
Obsoletes: sendmail-tls
AutoReqProv: on
Version: 8.14.3
-Release: 10
+Release: 14
Summary: BSD Sendmail
#Source0: ftp://ftp.sendmail.org/pub/sendmail/sendmail.%{version}.tar.bz2
Source0: sendmail-%{version}.tar.bz2
@@ -81,7 +81,7 @@
%package -n rmail
Version: 8.14.3
-Release: 10
+Release: 14
Summary: Rmail of the BSD Sendmail
License: Any permissive
Group: Productivity/Networking/Email/Servers
@@ -457,6 +457,8 @@
%doc %{_mandir}/man8/rmail.8.gz
%changelog
+* Wed Jul 16 2008 werner@xxxxxxx
+- Make poll25 more fail safe
* Thu Jun 19 2008 werner@xxxxxxx
- Make /bin/fuser required (bnc#401477)
* Tue May 06 2008 werner@xxxxxxx
++++++ uucp.spec ++++++
--- /var/tmp/diff_new_pack.d10886/_old 2008-07-16 23:02:37.000000000 +0200
+++ /var/tmp/diff_new_pack.d10886/_new 2008-07-16 23:02:37.000000000 +0200
@@ -19,7 +19,7 @@
Recommends: stunnel
AutoReqProv: on
Version: 1.07
-Release: 393
+Release: 397
Summary: Taylor UUCP
Source0: uucp-1.07.tar.bz2
Source1: uucpcfg.tar.bz2
++++++ sendmail-8.14.3.dif ++++++
--- /var/tmp/diff_new_pack.d10886/_old 2008-07-16 23:02:37.000000000 +0200
+++ /var/tmp/diff_new_pack.d10886/_new 2008-07-16 23:02:37.000000000 +0200
@@ -3553,8 +3553,8 @@
+/usr/lib/sendmail.d/bin/mail.local root:root 0511
+/var/run/sendmail root:root 1750
--- suse/rc
-+++ suse/rc 2008-02-20 16:35:11.000000000 +0100
-@@ -0,0 +1,126 @@
++++ suse/rc 2008-07-16 14:32:23.025258689 +0200
+@@ -0,0 +1,133 @@
+#! /bin/sh
+# Copyright (c) 1996-2002 SuSE Gmbh Nuernberg, Germany.
+# Copyright (c) 2006-2008 SuSE LINUX Products GmbH, Germany.
@@ -3581,22 +3581,30 @@
+test -s /etc/sysconfig/sendmail && \
+ . /etc/sysconfig/sendmail
+
-+PortOpts=""
-+if test -f /etc/sendmail.cf ; then
-+ PortOpts=$(sed -rn 's/^O[[:space:]]+DaemonPortOptions=(.*)/\1/p'
/etc/sendmail.cf)
-+elif test -f /etc/mail/sendmail.cf ; then
-+ PortOpts=$(sed -rn 's/^O[[:space:]]+DaemonPortOptions=(.*)/\1/p'
/etc/mail/sendmail.cf)
-+fi
+if test -z "$SENDMAIL_ARGS" ; then
+ SENDMAIL_ARGS="-L sendmail -Am -bd -q30m -om"
+fi
+if test -z "$SENDMAIL_CLIENT_ARGS" ; then
+ SENDMAIL_CLIENT_ARGS="-L sendmail-client -Ac -qp30m"
+fi
++
++PortOpts=""
++for cfg in /etc/sendmail.cf /etc/mail/sendmail.cf
++do
++ test -s $cfg || continue
++ PortOpts=$(sed -rn '/^O[[:blank:]]+DaemonPortOptions=.*Name=MTA.*$/I {
++ s/[[:blank:]]+//g
++ s/^O[^=]+=(.*)/\1/p
++ }' $cfg)
++ break
++done
++unset cfg
++
+if test "$SMTPD_LISTEN_REMOTE" != "yes" ; then
+ PortOpts="${PortOpts:+${PortOpts},}Addr=127.0.0.1"
+ SENDMAIL_ARGS="-O DaemonPortOptions=${PortOpts} $SENDMAIL_ARGS"
+fi
++
+msppid=/var/spool/clientmqueue/sm-client.pid
+srvpid=/var/run/sendmail.pid
+
@@ -3605,14 +3613,13 @@
+#
+poll25 ()
+{
-+ local IFS="${IFS},"
+ local timeout=1000
+ local port=25
++ local opt
+
-+ set -- $PortOpts
-+ for opt; do
-+ case "$opt" in
-+ Port=*) port=${opt#*=}
++ for opt in ${PortOpts//,/ } ; do
++ case "${opt%=*}" in
++ [Pp]ort) port=${opt#*=}
+ esac
+ done
+
@@ -3630,9 +3637,9 @@
+ start)
+ echo -n "Initializing SMTP port (sendmail)"
+ startproc -p $srvpid -i $msppid /usr/sbin/sendmail $SENDMAIL_ARGS
-+ rc_status
++ rc_status && \
+ poll25
-+ rc_status
++ rc_status && \
+ startproc -p $msppid -i $srvpid /usr/sbin/sendmail $SENDMAIL_CLIENT_ARGS
+ rc_status -v
+ ;;
++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
Remember to have fun...
---------------------------------------------------------------------
To unsubscribe, e-mail: opensuse-commit+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-commit+help@xxxxxxxxxxxx
| < Previous | Next > |